# Verify Deployment

## Check Status: Deployment

Check the status of the deployment to ensure it is running correctly.

```bash
kubectl get deployment -n vllm
```

{% hint style="success" %}
In the image "Check Status Deployment", you can see that the deployment status in the Ready column has a value of 0/1, which means it is not ready, wait 3-5 minutes and run the above syntax again.
{% endhint %}

{% hint style="danger" %}
Check the logs of the pod for any errors.

```bash
kubectl logs -n vllm
```

{% endhint %}

## Check Status: Pods

Check the status of the pods to ensure it is running correctly.

```bash
kubectl get pods -n vllm
```

## Check Status: Service

Check the status of the service to get the external IP.

```bash
kubectl get service -n vllm
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudeka.ai/reference/deployment-deepseek-r1-70b-with-vllm-on-deka-gpus-kubernetes/verify-deployment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
